de.bezier.data.sql.mapper

## Class UnderScoreToCamelCaseMapper

- java.lang.Object
- - de.bezier.data.sql.mapper.UnderScoreToCamelCaseMapper

- All Implemented Interfaces:
    NameMapper

      public class UnderScoreToCamelCaseMapper
      extends java.lang.Object
      implements NameMapper

  UnderScoreToCamelCaseMapper, does as it says.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnderScoreToCamelCaseMapper()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `backward(java.lang.String name)` Reverse of forward, maps object names to database names like: fieldName -> field_name.
    `java.lang.String` | `forward(java.lang.String name)` Maps a database name to an object name, typically this might look like: field_name -> fieldName.
    `static void` | `main(java.lang.String... args)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnderScoreToCamelCaseMapper

          public UnderScoreToCamelCaseMapper()

  - ### Method Detail

    - #### backward

          public java.lang.String backward(java.lang.String name)

      Description copied from interface: `NameMapper`
      Reverse of forward, maps object names to database names like: fieldName -> field_name.
      Specified by:
        `backward` in interface `NameMapper`

    - #### forward

          public java.lang.String forward(java.lang.String name)

      Description copied from interface: `NameMapper`
      Maps a database name to an object name, typically this might look like: field_name -> fieldName.
      Specified by:
        `forward` in interface `NameMapper`

    - #### main

          public static void main(java.lang.String... args)

Processing library BezierSQLib (formerly SQLibrary) by Florian Jenett. (c) 2005 - 2023